Subject: bug#2277: closed (Re: bug#2277: 23.0.60; GUD tooltips don't work on OS X)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Aug 2017 12:45:03 +0000

Your bug report

#2277: 23.0.60; GUD tooltips don't work on OS X

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2277: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2277
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2277: 23.0.60; GUD tooltips don't work on OS X
From: [email-masked] (Charles A. Roelli)
To: [email-masked]
Cc: [email-masked]
Date: Wed, 23 Aug 2017 14:44:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 16 Aug 2017 12:43:12 +0200
> From: [email-masked] (Charles A. Roelli)
> CC: 
> 
> They work fine for me on 25.2 / macOS 10.6, using the following
> recipe:
> 
> M-x gdb RET
> b Fsignal RET
> run -q RET
> C-g in the newly opened Emacs
> M-x gud-tooltip-mode
> 
> Hover over error_symbol to get a tooltip displaying "error_symbol =
> 39408".  I'll close in a few days if there's no further discussion.
> 
> > From: Nick Roberts <[email-masked]>
> > Content-Type: text/plain; charset=us-ascii
> > Date: Wed, 11 Feb 2009 23:11:44 +1300
> > 
> > 
> > On OS X, if you enable GUD tooltips, you can't display any variable values as
> > tooltips in the source buffer.
> > 
> > Incidentally, FSF GDB now compiles on Darwin/OS X and I generally find this
> > version works better in Emacs, e.g, no ^M line endings, breakpoint icons
> > display.  However, even with this version, Emacs doesn't seem to display GUD
> > tooltips
> > 
> > 
> > -- 
> > Nick                                           http://www.inet.net.nz/~nickrob
> > 
> > 
> > 
> > 
> 

I realized that this bug was possibly about "gud-gdb", which has been
superseded now.  When I try the recipe with "M-x gud-gdb" instead of
"M-x gdb", I get a warning from these lines in gud.el:

	      (when (and gud-tooltip-mode (eq gud-minor-mode 'gdb))
		(gud-tooltip-mode -1)
		;; The blank before the newline is for MS-Windows,
		;; whose emulation of message box removes newlines and
		;; displays a single long line.
		(message-box "Using GUD tooltips in this mode is unsafe \n\
so they have been disabled."))

Since this version of GUD shouldn't display tooltips anyway, I'll
close the bug.

Subject: 23.0.60; GUD tooltips don't work on OS X
From: Nick Roberts <[email-masked]>
To: [email-masked]
Date: Wed, 11 Feb 2009 23:11:44 +1300

On OS X, if you enable GUD tooltips, you can't display any variable values as
tooltips in the source buffer.

Incidentally, FSF GDB now compiles on Darwin/OS X and I generally find this
version works better in Emacs, e.g, no ^M line endings, breakpoint icons
display.  However, even with this version, Emacs doesn't seem to display GUD
tooltips

-- 
Nick                                           http://www.inet.net.nz/~nickrob